module Core exposing (Model(..), Msg(..), init)

import Browser.Navigation
import Json.Decode as Decode
import Task
import Twitch
import Url


type Model
    = Home


type Msg
    = Noop
    | ReceivedPlaylists (List Twitch.Playlist)


init : Decode.Value -> Url.Url -> Browser.Navigation.Key -> ( Model, Cmd Msg )
init _ _ _ =
    ( Home
    , Task.perform ReceivedPlaylists Twitch.fetchPlaylists
    )
